Not Urgent: ZHA Network Went Down Today

Today my Zigbee Network went down but came back up. I don’t have a great explanation as to why but I still had a window up from when it happened and I can at least report the error and the steps taken:

I had been working in HA all day but primarily in automations. There was a Zwave update earlier today and I immediately applied it and thought nothing of it. I continued working throughout the day and I made a few backups in the process; the house and code all seemed fine for 6-8+ hours while I was doing testing. Then I noticed some automations weren’t firing and it was because all my zigbee sensors appeared stuck.

Ok, it’s not the first time this has happened so let’s just reboot. Reboot didn’t help, reboot host didn’t help. I backed up to my most recent backup which was only 1.5 hours prior. Restored the backup but the ZHA network was still unresponsive.
This is the errors:

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:182
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 7:10:30 PM (2 occurrences)
Last logged: 7:11:29 PM

Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 492, in wait_for
    fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 182, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.9/site-packages/zigpy/application.py", line 69, in new
    await app.startup(auto_form)
  File "/usr/local/lib/python3.9/site-packages/bellows/zigbee/application.py", line 132, in startup
    self._ezsp = await bellows.ezsp.EZSP.initialize(self.config)
  File "/usr/local/lib/python3.9/site-packages/bellows/ezsp/__init__.py", line 83, in initialize
    await ezsp.reset()
  File "/usr/local/lib/python3.9/site-packages/bellows/ezsp/__init__.py", line 98, in reset
    await self._gw.reset()
  File "/usr/local/lib/python3.9/site-packages/bellows/uart.py", line 223, in reset
    return await asyncio.wait_for(self._reset_future, timeout=RESET_TIMEOUT)
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 494, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError

and

Logger: homeassistant.config_entries
Source: config_entries.py:366
First occurred: 7:10:30 PM (1 occurrences)
Last logged: 7:10:30 PM

Config entry 'Zigbee Network' for zha integration not ready yet; Retrying in background

I thought maybe it was the Zwave update from earlier that could’ve caused issues with my zigbee (I have a Nortek HUSBZB-1. So I reverted to the Zwave before the backup. When I did that my ZHA was still down but now so was my ZWave. When I reapplied the Zwave update, the Zwave network came back but ZHA was still down. At this point I was starting to get into a panic because I’m faced with the possibility of losing several hours of work by trying to restore further.

But before I did that I came to the forum and searched. The error only pops up sporadically over the last few years and it seems to be some sort of transient issue. The second post I read was from 2019 and it said to disconnect/reconnect the stick while the CPU is in a restart. As soon as I did that, everything came back.

Naturally I’m elated but now I’m left wondering if this is something that could’ve been prevented but after the restores I figured I had lost the errors but I saw later I had a window that still had the error from earlier as I’m sure the error will be important in figuring out what the problem is. I’m not necessarily looking for more answers, but I do want to report an occurrence that seems to sporadically happen to ZHA especially given the recent challenges. At the very least, if it happens to somebody else, there will be a newer thread for them to reference the resolution/workaround steps. I don’t think the zwave update had anything to do with it; just coincidence.

If anybody has a deeper explanation than what I found of “eh, it happens from time to time and unplugging the stick helps” I’d be happy to learn more. If there’s additional info I can provide to help DX the root cause, let me know.

1 Like

This just happened again today:

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:182
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 4:51:53 PM (4 occurrences)
Last logged: 4:52:51 PM

Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 492, in wait_for
    fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 182, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.9/site-packages/zigpy/application.py", line 69, in new
    await app.startup(auto_form)
  File "/usr/local/lib/python3.9/site-packages/bellows/zigbee/application.py", line 132, in startup
    self._ezsp = await bellows.ezsp.EZSP.initialize(self.config)
  File "/usr/local/lib/python3.9/site-packages/bellows/ezsp/__init__.py", line 84, in initialize
    await ezsp.version()
  File "/usr/local/lib/python3.9/site-packages/bellows/ezsp/__init__.py", line 102, in version
    ver, stack_type, stack_version = await self._command(
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 494, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError